Bug 500929 - cannot enter game notation
cannot enter game notation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 18:20 EDT by Steve Tyler
Modified: 2010-11-15 18:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 18:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2009-05-14 18:20:40 EDT
Description of problem:
The "Enter game notation" menu item has no effect.

Version-Release number of selected component (if applicable):
pychess-0.8.2-1.fc10.noarch

How reproducible:
Always.

Steps to Reproduce:
1. From a terminal window: pychess
2. Select Game menu, "Enter game notation"
  
Actual results:
No response.
Python reports:
NameError: global name 'SourceBuffer' is not defined

Expected results:
Not sure, but presumably a dialog should be displayed.

Additional info:
$ pychess
/usr/lib/python2.5/site-packages/pychess/Main.py:439: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.widgets = gtk.glade.XML(addDataPrefix("glade/PyChess.glade"))
/usr/lib/python2.5/site-packages/pychess/System/uistuff.py:198: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.widgets = gtk.glade.XML(addDataPrefix("glade/%s" % filename))
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/pychess/Main.py", line 297, in on_enter_game_notation_activate
    newGameDialog.EnterNotationExtension.run(callback)
  File "/usr/lib/python2.5/site-packages/pychess/widgets/newGameDialog.py", line 268, in run
    cls._ensureReady()
  File "/usr/lib/python2.5/site-packages/pychess/widgets/newGameDialog.py", line 62, in _ensureReady
    cls._init()
  File "/usr/lib/python2.5/site-packages/pychess/widgets/newGameDialog.py", line 251, in _init
    cls.sourcebuffer = SourceBuffer()
NameError: global name 'SourceBuffer' is not defined
Comment 1 Bug Zapper 2009-11-18 06:57:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:26:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Thomas Spura 2010-02-03 08:27:22 EST

*** This bug has been marked as a duplicate of bug 551475 ***
Comment 4 Steve Tyler 2010-02-10 11:36:26 EST
Reopening against F12 and pychess-0.10-0.1.20100203svn.fc12.noarch .

Procedure:
1. Start pychess from a terminal.
2. Select Game:Enter game notation.

Actual:
No response.

Expected:
Not sure, but presumably a dialog should be displayed.

Other:
$ pychess
/usr/lib/python2.6/site-packages/pychess/System/uistuff.py:374: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.glade = gtk.glade.XML(addDataPrefix("glade/%s" % filename))
sh: bug-buddy: command not found
Comment 5 Steve Tyler 2010-02-14 17:56:28 EST
Getting the following python traceback with
pychess-0.10-0.3.20100214svn.fc12.noarch

Procedure:
Start pychess from command line.
Select Game:Enter game notation.

Cross reference:
http://code.google.com/p/pychess/issues/detail?id=519

[stephent@walnut ~]$ pychess
/usr/lib/python2.6/site-packages/pychess/System/uistuff.py:374: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.glade = gtk.glade.XML(addDataPrefix("glade/%s" % filename))
14:49:49 ('Gnuchess', '14:02:48.925') Warning: Chan closed for 'nopost'
14:49:49 ('Gnuchess', '14:02:48.925') Warning: Chan closed for '
'
14:49:49 ('Gnuchess', '14:02:48.925') Error: Success

14:49:49 ('Python', '14:02:48.890') Warning: Chan closed for 'nopost'
14:49:49 ('Python', '14:02:48.890') Warning: Chan closed for '
'
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pychess/Main.py", line 78, in on_enter_game_notation_activate
    newGameDialog.EnterNotationExtension.run()
  File "/usr/lib/python2.6/site-packages/pychess/widgets/newGameDialog.py", line 449, in run
    cls._ensureReady()
  File "/usr/lib/python2.6/site-packages/pychess/widgets/newGameDialog.py", line 109, in _ensureReady
    cls._init()
  File "/usr/lib/python2.6/site-packages/pychess/widgets/newGameDialog.py", line 442, in _init
    lang = [l for l in man.get_available_languages() if l.get_name() == "PGN"][0]
AttributeError: 'gtksourceview2.LanguageManager' object has no attribute 'get_available_languages'
[stephent@walnut ~]$
Comment 6 Thomas Spura 2010-02-17 06:16:00 EST
This is fixed in svn now see commit message from revision 1623:

"""Got pgn syntax highlighting working for Enter Game Notation again."""
Comment 7 Steve Tyler 2010-02-17 06:56:02 EST
(In reply to comment #6)
> This is fixed in svn now see commit message from revision 1623:
> 
> """Got pgn syntax highlighting working for Enter Game Notation again."""    

Thanks!
http://code.google.com/p/pychess/source/detail?r=1623
Comment 8 Fedora Update System 2010-05-04 08:28:58 EDT
pychess-0.10-0.4.20100504hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pychess-0.10-0.4.20100504hg.fc12
Comment 9 Fedora Update System 2010-05-05 23:40:35 EDT
pychess-0.10-0.4.20100504hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pychess-0.10-0.4.20100504hg.fc12
Comment 10 Fedora Update System 2010-05-25 14:34:14 EDT
pychess-0.10-0.5.20100511hg.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pychess'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pychess-0.10-0.5.20100511hg.fc12
Comment 11 Bug Zapper 2010-11-04 07:14:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.